Digi LogoDigi is aware of the Spectre and Meltdown vulnerabilities that were recently released. These vulnerabilities impact the confidentiality of data running on Intel, AMD and ARM processors.

For Digi hardware products, we do not use Intel or AMD processors, and as a consequence, the “Meltdown” vulnerability does not affect Digi hardware products.

For the Spectre vulnerability, Digi security teams are working to determine the practical impacts and patches on Digi hardware products that use ARM processors.

For Digi Remote Manager & Device Cloud, we are working with our providers to address Spectre and Meltdown.

Additional information will be provided as soon as it is available. For more information on these vulnerabilities, please see the website https://meltdownattack.com/

 

Questions / More Information Contact USAT:

For consultation on your next M2M / IoT project contact a USAT Representative

For all your M2M connectivity needs visit ExpressM2M a service of USAT